Package org.h2gis.functions.spatial.properties

# Class ST_GeometryTypeCode

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.properties.ST_GeometryTypeCode

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_GeometryTypeCode extends org.h2gis.api.DeterministicScalarFunction
Returns the OGC SFS `GeometryTypeCodes` of a Geometry. This function does not take account of Z nor M. This function is not part of SFS; see `ST_GeometryType` It is used in constraints.

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_GeometryTypeCode()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static Integer`
`getTypeCode(org.locationtech.jts.geom.Geometry geometry)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_GeometryTypeCode

public ST_GeometryTypeCode()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### getTypeCode

public static Integer getTypeCode(org.locationtech.jts.geom.Geometry geometry) throws IOException

Parameters:
  `geometry` - Geometry WKB.
Returns:
  Returns the OGC SFS `GeometryTypeCodes` of a Geometry. This function does not take account of Z nor M.
Throws:
  `IOException` - WKB is not valid.